Bug 178495 - up2date-nox --configure moves attributes around in the list when no changes are made
up2date-nox --configure moves attributes around in the list when no changes a...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Clifford Perry
Red Hat Satellite QA List
:
Depends On:
Blocks: 179647
  Show dependency treegraph
 
Reported: 2006-01-20 17:57 EST by Beth Nackashi
Modified: 2012-06-20 12:05 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:05:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Beth Nackashi 2006-01-20 17:57:45 EST
+++ This bug was initially created as a clone of Bug #176196 +++

Description of problem:
up2date-nox --configure changes attributes' position in the attribute list
around for no good reason.

Version-Release number of selected component (if applicable):
up2date-4.4.56-3

How reproducible:
always

Steps to Reproduce:
1.  Run up2date-nox --configure
2.  Select 0 (should be "debug")
3.  Hit enter (i.e., don't put a new value for the attribute)
4.  The list will re-appear with "useRhn" as attribute 0.
5.  Keep selecting 0 and hitting enter.  The list will keep moving different
attributes to the 0 position.
6.  Once "networkSetup" moves into the 0 position, the list stops moving around.
  
Actual results:
See steps 4,5, & 6 above.

Expected results:
Attributes stay where they are!

Additional info:
output example, watch position 0:

[root@rlx-3-04 rhn]# up2date-nox --configure
0.  debug              Yes
1.  useRhn             Yes
2.  rhnuuid            a963e752-6c52-11da-8d00-00425200ea83
3.  isatty             Yes
4.  showAvailablePacka No
5.  networkSetup       Yes
6.  retrieveOnly       No
7.  enableRollbacks    No
8.  noSSLServerURL     http://xmlrpc.rhn.webqa.redhat.com/XMLRPC
9.  pkgSkipList        ['kernel*']
10. storageDir         /var/spool/up2date
11. adminAddress       ['root@localhost']
12. noBootLoader       No
13. serverURL          https://frogger.rhndev.redhat.com/XMLRPC
14. fileSkipList       []
15. versionOverride
16. sslCACert          ['/usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT']
17. noReplaceConfig    Yes
18. useNoSSLForPackage No
19. systemIdPath       /etc/sysconfig/rhn/systemid
20. enableProxyAuth    No
21. retrieveSource     No
22. disallowConfChange ['noReboot', 'sslCACert', 'useNoSSLForPackages', 'noSSLSe
23. headerFetchCount   Yes
24. networkRetries     5
25. pkgsToInstallNotUp ['kernel', 'kernel-modules']
26. enableProxy        No
27. proxyPassword
28. updateUp2date      Yes
29. keepAfterInstall   No
30. proxyUser
31. removeSkipList     ['kernel*']
32. useGPG             No
33. gpgKeyRing         /etc/sysconfig/rhn/up2date-keyring.gpg
34. httpProxy
35. headerCacheSize    No
36. forceInstall       No
37. noReboot           No


Enter number of item to edit <return to exit, q to quit without saving>: 0
Attribute Name: debug
Comment: Whether or not debugging is enabled
Current value: Yes
New Value:
0.  useRhn             Yes
1.  rhnuuid            a963e752-6c52-11da-8d00-00425200ea83
2.  isatty             Yes
3.  showAvailablePacka No
4.  networkSetup       Yes
5.  retrieveOnly       No
6.  enableRollbacks    No
7.  noSSLServerURL     http://xmlrpc.rhn.webqa.redhat.com/XMLRPC
8.  pkgSkipList        ['kernel*']
9.  storageDir         /var/spool/up2date
10. adminAddress       ['root@localhost']
11. noBootLoader       No
12. serverURL          https://frogger.rhndev.redhat.com/XMLRPC
13. fileSkipList       []
14. versionOverride
15. sslCACert          ['/usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT']
16. noReplaceConfig    Yes
17. useNoSSLForPackage No
18. systemIdPath       /etc/sysconfig/rhn/systemid
19. enableProxyAuth    No
20. retrieveSource     No
21. disallowConfChange ['noReboot', 'sslCACert', 'useNoSSLForPackages', 'noSSLSe
22. headerFetchCount   Yes
23. networkRetries     5
24. pkgsToInstallNotUp ['kernel', 'kernel-modules']
25. enableProxy        No
26. proxyPassword
27. updateUp2date      Yes
28. keepAfterInstall   No
29. proxyUser
30. removeSkipList     ['kernel*']
31. useGPG             No
32. gpgKeyRing         /etc/sysconfig/rhn/up2date-keyring.gpg
33. debug              Yes
34. httpProxy
35. headerCacheSize    No
36. forceInstall       No
37. noReboot           No


Enter number of item to edit <return to exit, q to quit without saving>: 0
Attribute Name: useRhn
Comment: None
Current value: Yes
New Value:
0.  rhnuuid            a963e752-6c52-11da-8d00-00425200ea83
1.  isatty             Yes
2.  showAvailablePacka No
3.  networkSetup       Yes
4.  retrieveOnly       No
5.  enableRollbacks    No
6.  noSSLServerURL     http://xmlrpc.rhn.webqa.redhat.com/XMLRPC
7.  pkgSkipList        ['kernel*']
8.  storageDir         /var/spool/up2date
9.  adminAddress       ['root@localhost']
10. noBootLoader       No
11. serverURL          https://frogger.rhndev.redhat.com/XMLRPC
12. fileSkipList       []
13. versionOverride
14. sslCACert          ['/usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT']
15. noReplaceConfig    Yes
16. useRhn             Yes
17. useNoSSLForPackage No
18. systemIdPath       /etc/sysconfig/rhn/systemid
19. enableProxyAuth    No
20. retrieveSource     No
21. disallowConfChange ['noReboot', 'sslCACert', 'useNoSSLForPackages', 'noSSLSe
22. headerFetchCount   Yes
23. networkRetries     5
24. pkgsToInstallNotUp ['kernel', 'kernel-modules']
25. enableProxy        No
26. proxyPassword
27. updateUp2date      Yes
28. keepAfterInstall   No
29. proxyUser
30. removeSkipList     ['kernel*']
31. useGPG             No
32. gpgKeyRing         /etc/sysconfig/rhn/up2date-keyring.gpg
33. debug              Yes
34. httpProxy
35. headerCacheSize    No
36. forceInstall       No
37. noReboot           No


Enter number of item to edit <return to exit, q to quit without saving>: 0
Attribute Name: rhnuuid
Comment: None
Current value: a963e752-6c52-11da-8d00-00425200ea83
    <return for default, enter two spaces and return to clear>
New Value:
0.  isatty             Yes
1.  showAvailablePacka No
2.  networkSetup       Yes
3.  retrieveOnly       No
4.  enableRollbacks    No
5.  noSSLServerURL     http://xmlrpc.rhn.webqa.redhat.com/XMLRPC
6.  pkgSkipList        ['kernel*']
7.  storageDir         /var/spool/up2date
8.  adminAddress       ['root@localhost']
9.  noBootLoader       No
10. serverURL          https://frogger.rhndev.redhat.com/XMLRPC
11. rhnuuid            a963e752-6c52-11da-8d00-00425200ea83
12. fileSkipList       []
13. versionOverride
14. sslCACert          ['/usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT']
15. noReplaceConfig    Yes
16. useRhn             Yes
17. useNoSSLForPackage No
18. systemIdPath       /etc/sysconfig/rhn/systemid
19. enableProxyAuth    No
20. retrieveSource     No
21. disallowConfChange ['noReboot', 'sslCACert', 'useNoSSLForPackages', 'noSSLSe
22. headerFetchCount   Yes
23. networkRetries     5
24. pkgsToInstallNotUp ['kernel', 'kernel-modules']
25. enableProxy        No
26. proxyPassword
27. updateUp2date      Yes
28. keepAfterInstall   No
29. proxyUser
30. removeSkipList     ['kernel*']
31. useGPG             No
32. gpgKeyRing         /etc/sysconfig/rhn/up2date-keyring.gpg
33. debug              Yes
34. httpProxy
35. headerCacheSize    No
36. forceInstall       No
37. noReboot           No


Enter number of item to edit <return to exit, q to quit without saving>: 0
Attribute Name: isatty
Comment: None
Current value: Yes
New Value:
0.  showAvailablePacka No
1.  networkSetup       Yes
2.  isatty             Yes
3.  retrieveOnly       No
4.  enableRollbacks    No
5.  noSSLServerURL     http://xmlrpc.rhn.webqa.redhat.com/XMLRPC
6.  pkgSkipList        ['kernel*']
7.  storageDir         /var/spool/up2date
8.  adminAddress       ['root@localhost']
9.  noBootLoader       No
10. serverURL          https://frogger.rhndev.redhat.com/XMLRPC
11. rhnuuid            a963e752-6c52-11da-8d00-00425200ea83
12. fileSkipList       []
13. versionOverride
14. sslCACert          ['/usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT']
15. noReplaceConfig    Yes
16. useRhn             Yes
17. useNoSSLForPackage No
18. systemIdPath       /etc/sysconfig/rhn/systemid
19. enableProxyAuth    No
20. retrieveSource     No
21. disallowConfChange ['noReboot', 'sslCACert', 'useNoSSLForPackages', 'noSSLSe
22. headerFetchCount   Yes
23. networkRetries     5
24. pkgsToInstallNotUp ['kernel', 'kernel-modules']
25. enableProxy        No
26. proxyPassword
27. updateUp2date      Yes
28. keepAfterInstall   No
29. proxyUser
30. removeSkipList     ['kernel*']
31. useGPG             No
32. gpgKeyRing         /etc/sysconfig/rhn/up2date-keyring.gpg
33. debug              Yes
34. httpProxy
35. headerCacheSize    No
36. forceInstall       No
37. noReboot           No


Enter number of item to edit <return to exit, q to quit without saving>: 0
Attribute Name: showAvailablePackages
Comment: None
Current value: No
New Value:
0.  networkSetup       Yes
1.  isatty             Yes
2.  retrieveOnly       No
3.  enableRollbacks    No
4.  noSSLServerURL     http://xmlrpc.rhn.webqa.redhat.com/XMLRPC
5.  pkgSkipList        ['kernel*']
6.  storageDir         /var/spool/up2date
7.  adminAddress       ['root@localhost']
8.  noBootLoader       No
9.  serverURL          https://frogger.rhndev.redhat.com/XMLRPC
10. rhnuuid            a963e752-6c52-11da-8d00-00425200ea83
11. fileSkipList       []
12. versionOverride
13. sslCACert          ['/usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT']
14. noReplaceConfig    Yes
15. useRhn             Yes
16. useNoSSLForPackage No
17. systemIdPath       /etc/sysconfig/rhn/systemid
18. enableProxyAuth    No
19. retrieveSource     No
20. disallowConfChange ['noReboot', 'sslCACert', 'useNoSSLForPackages', 'noSSLSe
21. headerFetchCount   Yes
22. networkRetries     5
23. pkgsToInstallNotUp ['kernel', 'kernel-modules']
24. enableProxy        No
25. proxyPassword
26. updateUp2date      Yes
27. keepAfterInstall   No
28. proxyUser
29. removeSkipList     ['kernel*']
30. useGPG             No
31. gpgKeyRing         /etc/sysconfig/rhn/up2date-keyring.gpg
32. debug              Yes
33. httpProxy
34. showAvailablePacka No
35. headerCacheSize    No
36. forceInstall       No
37. noReboot           No


Enter number of item to edit <return to exit, q to quit without saving>: 0
Attribute Name: networkSetup
Comment: None
Current value: Yes
New Value:
0.  networkSetup       Yes
1.  isatty             Yes
2.  retrieveOnly       No
3.  enableRollbacks    No
4.  noSSLServerURL     http://xmlrpc.rhn.webqa.redhat.com/XMLRPC
5.  pkgSkipList        ['kernel*']
6.  storageDir         /var/spool/up2date
7.  adminAddress       ['root@localhost']
8.  noBootLoader       No
9.  serverURL          https://frogger.rhndev.redhat.com/XMLRPC
10. rhnuuid            a963e752-6c52-11da-8d00-00425200ea83
11. fileSkipList       []
12. versionOverride
13. sslCACert          ['/usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT']
14. noReplaceConfig    Yes
15. useRhn             Yes
16. useNoSSLForPackage No
17. systemIdPath       /etc/sysconfig/rhn/systemid
18. enableProxyAuth    No
19. retrieveSource     No
20. disallowConfChange ['noReboot', 'sslCACert', 'useNoSSLForPackages', 'noSSLSe
21. headerFetchCount   Yes
22. networkRetries     5
23. pkgsToInstallNotUp ['kernel', 'kernel-modules']
24. enableProxy        No
25. proxyPassword
26. updateUp2date      Yes
27. keepAfterInstall   No
28. proxyUser
29. removeSkipList     ['kernel*']
30. useGPG             No
31. gpgKeyRing         /etc/sysconfig/rhn/up2date-keyring.gpg
32. debug              Yes
33. httpProxy
34. showAvailablePacka No
35. headerCacheSize    No
36. forceInstall       No
37. noReboot           No


Enter number of item to edit <return to exit, q to quit without saving>: 0
Attribute Name: networkSetup
Comment: None
Current value: Yes
New Value:
0.  networkSetup       Yes
1.  isatty             Yes
2.  retrieveOnly       No
3.  enableRollbacks    No
4.  noSSLServerURL     http://xmlrpc.rhn.webqa.redhat.com/XMLRPC
5.  pkgSkipList        ['kernel*']
6.  storageDir         /var/spool/up2date
7.  adminAddress       ['root@localhost']
8.  noBootLoader       No
9.  serverURL          https://frogger.rhndev.redhat.com/XMLRPC
10. rhnuuid            a963e752-6c52-11da-8d00-00425200ea83
11. fileSkipList       []
12. versionOverride
13. sslCACert          ['/usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT']
14. noReplaceConfig    Yes
15. useRhn             Yes
16. useNoSSLForPackage No
17. systemIdPath       /etc/sysconfig/rhn/systemid
18. enableProxyAuth    No
19. retrieveSource     No
20. disallowConfChange ['noReboot', 'sslCACert', 'useNoSSLForPackages', 'noSSLSe
21. headerFetchCount   Yes
22. networkRetries     5
23. pkgsToInstallNotUp ['kernel', 'kernel-modules']
24. enableProxy        No
25. proxyPassword
26. updateUp2date      Yes
27. keepAfterInstall   No
28. proxyUser
29. removeSkipList     ['kernel*']
30. useGPG             No
31. gpgKeyRing         /etc/sysconfig/rhn/up2date-keyring.gpg
32. debug              Yes
33. httpProxy
34. showAvailablePacka No
35. headerCacheSize    No
36. forceInstall       No
37. noReboot           No


Enter number of item to edit <return to exit, q to quit without saving>: q

-- Additional comment from bnackash@redhat.com on 2005-12-19 18:32 EST --
If you quit, the values return to their normal positions.  The problem only
manifests itself during a single run of up2date.

-- Additional comment from alikins@redhat.com on 2006-01-16 11:28 EST --
known, but I don't consider this a blocker, since it's been this way for years. 


-- Additional comment from alikins@redhat.com on 2006-01-16 16:32 EST --
Created an attachment (id=123266)
patch to order config options

patch to order the config options (just sort them alphabetically) which
should be stable, instead of using the dict order which is not stable

-- Additional comment from alikins@redhat.com on 2006-01-17 16:42 EST --
up2date-4.4.59

-- Additional comment from alikins@redhat.com on 2006-01-19 13:36 EST --
this is old behaviour, been that way for a while, so not a regression from
released code
Comment 1 Red Hat Bugzilla 2007-04-11 20:26:13 EDT
User bnackash@redhat.com's account has been closed
Comment 2 Jiri Pallich 2012-06-20 12:05:17 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.